let util = require('../../../utils/util.js');
var that
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },
  topaysetting() {
    wx.navigateTo({
      url: '/pages/myinfo/paytypeset/paytypeset',
    })
  },
  tosetting() {
    wx.navigateTo({
      url: '/pages/stock/stockset/stockset',
    })
  },
  c1(e) {
    this.setData({
      negativeStock: e.detail.value ? 1 : 0
    })
    this.update()
  },
  c2(e) {
    this.setData({
      lastPriceNotify: e.detail.value ? 1 : 0
    })
    this.update()
  },
  update() {
    util.query('userSetting/wxapi/saveSetting', this.data, function(res) {}, 'POST')
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    that = this
    this.getData()
  },
  getData() {
    util.query('userSetting/wxapi/getMySetting', {}, function(res) {
      if (res.code === 10000) {
        that.setData(res.data)
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})